# Uses of Class
com.facebook.presto.jdbc.PrestoResultSet

## Uses of PrestoResultSet in com.facebook.presto.jdbc

Methods in com.facebook.presto.jdbc that return types with arguments of type PrestoResultSet
Modifier and Type
Method
Description
`default Optional<PrestoResultSet>`
QueryInterceptor.`postProcess(String sql, Statement interceptedStatement, PrestoResultSet interceptedResultSet)`
Called after the query has been sent to the server.
`default Optional<PrestoResultSet>`
QueryInterceptor.`preProcess(String sql, Statement interceptedStatement)`
Called before the query has been sent to the server.
Methods in com.facebook.presto.jdbc with parameters of type PrestoResultSet
Modifier and Type
Method
Description
`default Optional<PrestoResultSet>`
QueryInterceptor.`postProcess(String sql, Statement interceptedStatement, PrestoResultSet interceptedResultSet)`
Called after the query has been sent to the server.